System freezes when inserting a CD/DVD

Bug #74372 reported by denis on 2006-12-04
120
This bug affects 14 people
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
High
Unassigned
Nominated for Lucid by Papamatti
linux (Ubuntu)
High
Unassigned
Nominated for Lucid by Papamatti

Bug Description

Whenever i insert a CD/DVD into drive my system hangs totally and does not response to every kind of input. It also does not produce any kind of output, it simply dies.

My Machine is an HP Pavillion with Intel Pentium 4 524 (3.06 Ghz) HT and a S-ATA HDD while CDROM is IDE.

denis (den2k88) on 2006-12-04
description: updated

That bug also happens here. When I insert a cd-rom in my drive, ubuntu ramdomly reboots.

The relevant /var/log/syslog section is attached. Should I look somewhere else for additional information?

Ops, I forgot: I'm using ubuntu 6.10 edgy eft.

the command "sudo hdparm /dev/hdc" returns:

HDIO_GETGEO failed: Inappropriate ioctl for device

I couldn't find anything useful about this error code, since it seems it's related to using DMA on serial ata drives, and my cd-rom is IDE.

yjk (yjkchicago) wrote :

I've had the exact same problem in kubuntu edgy. I found a solution here, it seems to be related to a cdparanoia upgrade, if you do the prescribed downgrade things should work fine.

http://ubuntuforums.org/showthread.php?t=409054

Cheers,

YJ

drc (stepan-mikula) wrote :

I have the same problem. I observe the same behavior at Gutsy (Linux kernel image for version 2.6.17 on x86/x86_64, system is fully updated.).
Everything is fine if the CD is inserted during boot, in other case it freeze. Believe me -- it is really annoying.

Please, let me know, what should I post here (logs,...)

2007/12/8, drc <email address hidden>:
>
> I have the same problem. I observe the same behavior at Gutsy (Linux
> kernel image for version 2.6.17 on x86/x86_64, system is fully updated.).
> Everything is fine if the CD is inserted during boot, in other case it
> freeze. Believe me -- it is really annoying.
>
> Please, let me know, what should I post here (logs,...)
>
> --
> system freezes when inserting a CD rom (IDE) with i686 kernel
> https://bugs.launchpad.net/bugs/74372
> You received this bug notification because you are a direct subscriber
> of the bug.
>

well i resolved in a non clean way: installing Debian. I think it is only a
compile problem, because the Ubuntu pre-compilated 686 kernel has a bad
configuration for the APIC module.
After a lot of tries i found out it was a better choice to change OS, but
you can try to recompile if you want.

Sorry for my bad English, i'm from Italy!

--
\ __ __ _ *
_\ \__\ \ \ _\ \/
\_\ \__ \ \ \__ \\
------------------------->

Registered Linux User # 372295

-----BEGIN GEEK CODE BLOCK-----
Version: 3.1

GCS/CM d- s:+: a--- C++ UL+++S E--- W+(-) N o+ w-- O? M- PS+ PE Y+ PGP
t+(++) 5? X- R* tv- b++ DI+ D++++ G+ e- h! r--- y--
------END GEEK CODE BLOCK------

drc (stepan-mikula) wrote :

Thanks for advice! But for the moment it fix itself. I suppose that
the same problem will return during next boot :-(.

Still, when I grow up I intend to use Debian ;-)

Štěpán

On Dec 10, 2007 4:36 PM, denis <email address hidden> wrote:
> 2007/12/8, drc <email address hidden>:
>
> >
> > I have the same problem. I observe the same behavior at Gutsy (Linux
> > kernel image for version 2.6.17 on x86/x86_64, system is fully updated.).
> > Everything is fine if the CD is inserted during boot, in other case it
> > freeze. Believe me -- it is really annoying.
> >
> > Please, let me know, what should I post here (logs,...)
> >
> > --
> > system freezes when inserting a CD rom (IDE) with i686 kernel
> > https://bugs.launchpad.net/bugs/74372
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> well i resolved in a non clean way: installing Debian. I think it is only a
> compile problem, because the Ubuntu pre-compilated 686 kernel has a bad
> configuration for the APIC module.
> After a lot of tries i found out it was a better choice to change OS, but
> you can try to recompile if you want.
>
> Sorry for my bad English, i'm from Italy!
>
>
> --
> \ __ __ _ *
> _\ \__\ \ \ _\ \/
> \_\ \__ \ \ \__ \\
> ------------------------->
>
> Registered Linux User # 372295
>
> -----BEGIN GEEK CODE BLOCK-----
> Version: 3.1
>
> GCS/CM d- s:+: a--- C++ UL+++S E--- W+(-) N o+ w-- O? M- PS+ PE Y+ PGP
> t+(++) 5? X- R* tv- b++ DI+ D++++ G+ e- h! r--- y--
> ------END GEEK CODE BLOCK------
>
>
> --
> system freezes when inserting a CD rom (IDE) with i686 kernel
> https://bugs.launchpad.net/bugs/74372
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Štěpán Mikula
mail & jabber: <email address hidden>
tel.: +420 724 512 946
ICQ: 221 556 705
homepage: http://drc.tasuki.org/

yjk (yjkchicago) wrote :

Try this (I am running edgy, and there you can choose the older version of
cdparanoia).

find the sources for these two packages:

libcdparanoia0 3.a9.8-13
cdparanoia 3a9.8-13

compile those from scratch or if you can find a .deb use dpkg to install
this version and see what happens. It should resolve your system freeze
problem. If it doesn't you can always revert back to the most current
version on your next update.

Cheers,

YJ

On Dec 10, 2007 12:10 PM, drc <email address hidden> wrote:

> Thanks for advice! But for the moment it fix itself. I suppose that
> the same problem will return during next boot :-(.
>
> Still, when I grow up I intend to use Debian ;-)
>
> Štěpán
>
> On Dec 10, 2007 4:36 PM, denis <email address hidden> wrote:
> > 2007/12/8, drc <email address hidden>:
> >
> > >
> > > I have the same problem. I observe the same behavior at Gutsy (Linux
> > > kernel image for version 2.6.17 on x86/x86_64, system is fully
> updated.).
> > > Everything is fine if the CD is inserted during boot, in other case it
> > > freeze. Believe me -- it is really annoying.
> > >
> > > Please, let me know, what should I post here (logs,...)
> > >
> > > --
> > > system freezes when inserting a CD rom (IDE) with i686 kernel
> > > https://bugs.launchpad.net/bugs/74372
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> >
> > well i resolved in a non clean way: installing Debian. I think it is
> only a
> > compile problem, because the Ubuntu pre-compilated 686 kernel has a bad
> > configuration for the APIC module.
> > After a lot of tries i found out it was a better choice to change OS,
> but
> > you can try to recompile if you want.
> >
> > Sorry for my bad English, i'm from Italy!
> >
> >
> > --
> > \ __ __ _ *
> > _\ \__\ \ \ _\ \/
> > \_\ \__ \ \ \__ \\
> > ------------------------->
> >
> > Registered Linux User # 372295
> >
> > -----BEGIN GEEK CODE BLOCK-----
> > Version: 3.1
> >
> > GCS/CM d- s:+: a--- C++ UL+++S E--- W+(-) N o+ w-- O? M- PS+ PE Y+ PGP
> > t+(++) 5? X- R* tv- b++ DI+ D++++ G+ e- h! r--- y--
> > ------END GEEK CODE BLOCK------
> >
> >
> > --
> > system freezes when inserting a CD rom (IDE) with i686 kernel
> > https://bugs.launchpad.net/bugs/74372
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>
> --
> Štěpán Mikula
> mail & jabber: <email address hidden>
> tel.: +420 724 512 946
> ICQ: 221 556 705
> homepage: http://drc.tasuki.org/
>
> --
> system freezes when inserting a CD rom (IDE) with i686 kernel
> https://bugs.launchpad.net/bugs/74372
> You received this bug notification because you are a direct subscriber
> of the bug.
>

drc (stepan-mikula) wrote :
Download full text (3.3 KiB)

Correct me if I am wrong but problem of cdparanoia is just a matter of
audio cd - My system freeze with any kind of cd/dvd.

On Dec 11, 2007 11:51 AM, yjk <email address hidden> wrote:
> Try this (I am running edgy, and there you can choose the older version of
> cdparanoia).
>
> find the sources for these two packages:
>
> libcdparanoia0 3.a9.8-13
> cdparanoia 3a9.8-13
>
> compile those from scratch or if you can find a .deb use dpkg to install
> this version and see what happens. It should resolve your system freeze
> problem. If it doesn't you can always revert back to the most current
> version on your next update.
>
> Cheers,
>
> YJ
>
>
> On Dec 10, 2007 12:10 PM, drc <email address hidden> wrote:
>
> > Thanks for advice! But for the moment it fix itself. I suppose that
> > the same problem will return during next boot :-(.
> >
> > Still, when I grow up I intend to use Debian ;-)
> >
> > Štěpán
> >
> > On Dec 10, 2007 4:36 PM, denis <email address hidden> wrote:
> > > 2007/12/8, drc <email address hidden>:
> > >
> > > >
> > > > I have the same problem. I observe the same behavior at Gutsy (Linux
> > > > kernel image for version 2.6.17 on x86/x86_64, system is fully
> > updated.).
> > > > Everything is fine if the CD is inserted during boot, in other case it
> > > > freeze. Believe me -- it is really annoying.
> > > >
> > > > Please, let me know, what should I post here (logs,...)
> > > >
> > > > --
> > > > system freezes when inserting a CD rom (IDE) with i686 kernel
> > > > https://bugs.launchpad.net/bugs/74372
> > > > You received this bug notification because you are a direct subscriber
> > > > of the bug.
> > > >
> > >
> > > well i resolved in a non clean way: installing Debian. I think it is
> > only a
> > > compile problem, because the Ubuntu pre-compilated 686 kernel has a bad
> > > configuration for the APIC module.
> > > After a lot of tries i found out it was a better choice to change OS,
> > but
> > > you can try to recompile if you want.
> > >
> > > Sorry for my bad English, i'm from Italy!
> > >
> > >
> > > --
> > > \ __ __ _ *
> > > _\ \__\ \ \ _\ \/
> > > \_\ \__ \ \ \__ \\
> > > ------------------------->
> > >
> > > Registered Linux User # 372295
> > >
> > > -----BEGIN GEEK CODE BLOCK-----
> > > Version: 3.1
> > >
> > > GCS/CM d- s:+: a--- C++ UL+++S E--- W+(-) N o+ w-- O? M- PS+ PE Y+ PGP
> > > t+(++) 5? X- R* tv- b++ DI+ D++++ G+ e- h! r--- y--
> > > ------END GEEK CODE BLOCK------
> > >
> > >
> > > --
> > > system freezes when inserting a CD rom (IDE) with i686 kernel
> > > https://bugs.launchpad.net/bugs/74372
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> >
> >
> > --
> > Štěpán Mikula
> > mail & jabber: <email address hidden>
> > tel.: +420 724 512 946
> > ICQ: 221 556 705
> > homepage: http://drc.tasuki.org/
> >
> > --
> > system freezes when inserting a CD rom (IDE) with i686 kernel
> > https://bugs.launchpad.net/bugs/74372
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> --
>
> system freezes when inserting a CD rom (IDE) with i686 kernel
> https://bugs.launchpad.net/bugs/74372
> You received t...

Read more...

Hi Guys,

Sorry for the extremely delayed response. The 18 month support period for Edgy Eft 6.10 has reached it's end of life. As a result, we are closing the linux-source-2.6.17 Edgy Eft kernel task. However, Hardy Heron 8.04 was recently released. It would be helpful if you could test the new release and verify if this is still an issue - http://www.ubuntu.com/getubuntu/download . If the issue still exists, please add the Hardy kernel "linux" task to this bug report. This can be done by clicking on the "Also affects distribution" link in the Actions area on left hand side of the bug report. Select "Ubuntu" as the Distribution and type in "linux" for the Source Package Name. Thanks.

Changed in linux-source-2.6.17:
status: New → Won't Fix
Thomas (tevaughan) wrote :

I've just installed the amd64 version of Hardy Heron (8.04), and I see this exact problem.

Whenever I insert a CD-ROM into the drive, I can hear the drive spin up, but then the system freezes with the caps lock and the scroll lock LEDs blinking.

I'm not sure how to do what was suggested in the previous message, but perhaps someone could take care of that for me. That is, to keep this issue alive. It's still a problem.

mati (mati-wroc) wrote :

Is your drive a LG-one? This could be a duplicate of bug 185092.

mati (mati-wroc) on 2009-06-04
summary: - system freezes when inserting a CD rom (IDE) with i686 kernel
+ System freezes when inserting a CD/DVD
affects: linux-source-2.6.17 (Ubuntu) → ubuntu
Changed in ubuntu:
status: Won't Fix → New
mati (mati-wroc) wrote :

Connected all similar bugs.

Symptoms:
System hangs completely after inserting cd/dvd disc (instantly or after few seconds, only a hard reset helps then).

Present in an up-to-date 9.04, problem existed since a few releases and still occur. A drive can be used safely in Windows.

In my case, command:
sudo killall hald-addon-storage
cause the hang not to occur, but the disc isn't recognized at all then.
So it may be a kernel or hal issue.

There is nothing new in dmesg or other logs when the hang happens.

Result of dmesg | grep -i cd-rom:
[ 4.813763] scsi 5:0:0:0: CD-ROM HL-DT-ST DVDRAM GSA-4167B DL13 PQ: 0 ANSI: 5
[ 4.826550] Uniform CD-ROM driver Revision: 3.20
[ 4.826680] sr 5:0:0:0: Attached scsi CD-ROM sr0
(it is a LG GSA-4167B drive; there are 2 other reports of this bug happening while using another LG drives, but there is also: Toshiba SD-R6112 slim DVD drive and a MSI 16xDVD-Rom).

uname -a:
Linux mati-desktop 2.6.28-12-generic #43-Ubuntu SMP Fri May 1 19:27:06 UTC 2009 i686 GNU/Linux

Attached sudo lspci -vvnn output.

Please take a look at the case.

Thanks for keeping us updated on this issue. I'm going to refer you to the hal people for help since this seems to be a polling issue maybe with hald-addon-storage. I've seen them before, although not with those drives. In the meantime, try installing another drive if you can find a spare and make sure that it is the CD-ROM drive that is the issue, not the controller or any of the supporting hardware.

affects: ubuntu → hal (Ubuntu)
Changed in hal (Ubuntu):
status: New → Incomplete

Hello

I only have that problem when I made the upgrade from 8.04 to 8.10, however this problem disappear qhen I made a fresh instalation.
With 9.04 was the same, the CD-ROM works fine, with the native and with brasero. For precaution I only use Brasero.

Com um abraço

de

José Azevedo

> Date: Sat, 27 Jun 2009 19:31:54 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 74372] Re: System freezes when inserting a CD/DVD
>
> Thanks for keeping us updated on this issue. I'm going to refer you to
> the hal people for help since this seems to be a polling issue maybe
> with hald-addon-storage. I've seen them before, although not with those
> drives. In the meantime, try installing another drive if you can find a
> spare and make sure that it is the CD-ROM drive that is the issue, not
> the controller or any of the supporting hardware.
>
> ** Package changed: ubuntu => hal (Ubuntu)
>
> ** Changed in: hal (Ubuntu)
> Status: New => Incomplete
>
> --
> System freezes when inserting a CD/DVD
> https://bugs.launchpad.net/bugs/74372
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.

_________________________________________________________________
Descubra todas as novidades do novo Internet Explorer 8
http://brasil.microsoft.com.br/IE8/mergulhe/?utm_source=MSN%3BHotmail&utm_medium=Tagline&utm_campaign=IE8

mati (mati-wroc) wrote :

Patrick, I'm sure that's not a hardware issue because:
1. Everything (reading and burning CD/DVD) works fine on Windows
2. I remember it worked correctly in Ubuntu (but it was a long time ago, 5.10 maybe? 6.06?)

I'll be glad to provide any other requested info, switching OS just to use a cd makes me crazy (Ubuntu is otherwise great!). Thanks!

Changed in hal (Ubuntu):
status: Incomplete → New

Hi guys. In Jaunty, can you follow instructions at https://wiki.ubuntu.com/DebuggingHal under the "How to file" section and give us all of the requested information and any files as separate attachments, if you have not already added these to the report from within Jaunty. Thank you.

Changed in hal (Ubuntu):
importance: Undecided → High
status: New → Incomplete

Also, I can see from previous comments that this seems ok on a fresh install of Jaunty, therefore can someone confirm what the LATEST version of Ubuntu is that has this problem from a fresh install, as offending packages are obviously being kept between upgrades. Thank you.

mati (mati-wroc) wrote :
mati (mati-wroc) wrote :
mati (mati-wroc) wrote :
mati (mati-wroc) wrote :

Teej, attached all necessary files. I don't know if they would be useful, no messages appeared when the freeze happened.

Steps I did:
1. Restart.
2. sudo /etc/init.d/hal stop
3. sudo hald --verbose=yes --daemon=no 2>&1 | tee /home/mati/hal.log
4. After the output settled down, I inserted a cd (13:54:23)
5. Some messages appeared, but the system was still operational.
6. After some seconds, the freeze occured (cursor couldn't move, system didn't respond to keyboard, had to do a hard reset)
7. I launched lshal just after a reset.

My hal version is 0.5.12~rc1+git20090403-0ubuntu3 (system: up-to-date 9.04); Currently I cannot perform a clean install (I did that when 8.04 was released).

I hope that helps to narrow the issue, thanks!

Changed in hal (Ubuntu):
status: Incomplete → New

Thanks mati, marking Triaged, High. There should now be enough information to help debug this for the developers.

Changed in hal (Ubuntu):
status: New → Triaged
mati (mati-wroc) wrote :

The issue still exists after upgrade to Karmic, the drive is unusable.

Strangely, when I run Ubuntu in recovery mode with no X (just root shell), I am able to properly mount a DVD and browse it.

What is going on?

Andreas F (aff) wrote :

System hangs completely after inserting cd/dvd disc (instantly or after few seconds, only a hard reset helps then).

Present in an up-to-date 9.04, problem started this week, I have used the dvdrom daily for more than a year without previous related problems.

Excerpt from /var/log/messages:

usb 1-6: new high speed USB device using ehci_hcd and address 4
usb 1-6: configuration #1 chosen from 1 choice
scsi3 : SCSI emulation for USB Mass Storage devices
scsi 3:0:0:0: CD-ROM SONY DVD+-RW DW-Q58A UDS1 PQ: 0 ANSI: 0
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
sr 3:0:0:0: Attached scsi generic sg1 type 5
psmouse.c: GlidePoint at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
psmouse.c: resync failed, issuing reconnect request
synaptics was reset on resume, see synaptics_resume_reset if you have trouble on resume
alps.c: Failed to enable hardware tapping
input: PS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input9
usb 1-6: USB disconnect, address 4

mati (mati-wroc) wrote :

Today I tried installing XFCE. After logging in, I've inserted DVD and launched some files. It worked for a while, but the freeze happened when I tried to eject the disc - just like in Gnome after inserting, but later.

description: updated
Andreas F (aff) wrote :

I think my problems (#25) can be blamed on a faulty dvd-drive and/or its' dvd-to-usb casing. The same dvd-drive connected to a machine running Windows XP produces the following symptoms:

* Fan starts running at full speed when dvd usb cable is connected.
* The computer won't even complete bios boot and eventually shuts down before attempting to load any OS when the dvd usb cable is connected.
* Dvd playback with PowerDVD is distorted, both sound and image is clipping and very low quality, with frequent frame freezes.

The drive in question is a Dell model DW-Q58A-DM.

Sorry for the confusion.

mati (mati-wroc) wrote :

The bug is not hal-related (happens when hal isn't even started), so I've opened bug 483070.

Changed in hal (Ubuntu):
status: Triaged → Invalid

I experience the same problem on my system since Hardy. Jaunty had it and a completely fresh install of Karmic shows the freeze as well. I have replaced the DVD-drive and all cabling as well as updated the mainboard's BIOS - no success. Furthermore I never had problems when booting from a CD or installing from it (but I also did not try to let it run for a longer time after a CD-Boot like it is suggested in bug 483070)

If i input a DVD or CD - the system completely freezes after about half a minute. It also happens when I disable hald-device-polling so also think it is not hal-related.

I have not found any logs of the crash, it seems that the Kernel does not have time to write any before it locks up!

SR SIngh (sr-singh) wrote :

I have been facing the same problem with hardy, with jaunty and now with karmic. I have tried doing sudo killall hald-addon-storage, didn't work then I did /etc/init.d/hat stop and even after that the problem remains. So, maybe , it could be related to something other than hal. I have found from dmesg that my dvd-rom is listed as a scsi device so i will do hal-disable polling for all UDIs containing scsi and see what happens.

SR SIngh (sr-singh) wrote :

Oh1 and I forgot to mention.. even if i start brasero, the same thing happens.

SR SIngh (sr-singh) wrote :

No! Nein! Nyet! nothing changes with the various combinations of things. DAMN!! I hate bugs..especially the ones that don't get resolved! ;)

I have now tried a SATA DVD Drive instead an IDE (parallel ATA) one and everything worked fine! It would be helpful if some more people could try this and report if it solves the problem. If it does, the problem might be in the new ATA subsystem that is in use in the Ubuntu kernel since a year or two (don't know the exact name).

dreamon (dreamon) wrote :

I just finished installing Ubuntu on a new system and I can confirm that this bug still exists. I was able to boot from the Live CD, but when I boot Ubuntu from my hard disk and try to insert a CD/DVD, the system freezes or reboots.

Changed in hal (Ubuntu):
status: Invalid → New

Thanks for the updates guys, sorry I haven't replied on this bug. For the developers sake, can the 3 people affected by this please run 'apport-collect 74372' (without quotes), bearing in mind that you may need to install the python-launchpadlib package from the universe repository. Additionally, when prompted to give apport-collect permissions for Launchpad you will need to give it at least the ability to "Change Non-Private" data as it will be adding information to the bug report.

If there are more than 3 people affected, or I've missed anyone out, please ensure you add yourself to the Affected list at the top of the bug report.

Closing hal as per previous comments - unlikely that hal is the offender here, adding linux kernel.

Thank you.

Changed in hal (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Incomplete

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: angrick 2123 F.... pulseaudio
 /dev/snd/pcmC0D0p: angrick 2123 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with VIA1612A at irq 9'
   Mixer name : 'VIA Technologies VIA1612A'
   Components : 'AC97a:56494161'
   Controls : 37
   Simple ctrls : 23
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=a9510beb-0c33-494d-8a49-031e99c72126
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: FUJITSU SIEMENS Amilo M1425
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-17-generic root=UUID=045fecb1-756f-4896-bcc9-c2dc20597a19 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
 LANGUAGE=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.25
RfKill:

Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 12/29/2004
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080010
dmi.board.name: To be filled by O.E.M.
dmi.board.vendor: To be filled by O.E.M.
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080010:bd12/29/2004:svnFUJITSUSIEMENS:pnAmiloM1425:pvrToBeFilledByO.E.M.:rvnTobefilledbyO.E.M.:rnTobefilledbyO.E.M.:rvrTobefilledbyO.E.M.:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: Amilo M1425
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: FUJITSU SIEMENS

dreamon (dreamon) wrote : Lspci.txt
dreamon (dreamon) wrote : Lsusb.txt
dreamon (dreamon) wrote : UdevDb.txt
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: andi 3240 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe0320000 irq 22'
   Mixer name : 'SigmaTel STAC9271D'
   Components : 'HDA:83847627,80864001,00100201'
   Controls : 38
   Simple ctrls : 25
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=75ef91f9-84fd-4939-ad8a-95bef7fae38a
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-16-generic root=/dev/mapper/Sol-root ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LC_MESSAGES=en_IE.UTF-8
 LANG=de_AT.UTF-8
 LANGUAGE=en_IE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-16-generic N/A
 linux-firmware 1.25
RfKill:

Uname: Linux 2.6.31-16-generic x86_64
UserGroups: adm admin audio cdrom dialout fuse libvirtd lpadmin plugdev sambashare video
dmi.bios.date: 07/15/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: DPP3510J.86A.0572.2009.0715.2346
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DG33TL
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD89517-700
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrDPP3510J.86A.0572.2009.0715.2346:bd07/15/2009:svn:pn:pvr:rvnIntelCorporation:rnDG33TL:rvrAAD89517-700:cvn:ct3:cvr:

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mati 1471 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfdff8000 irq 22'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,147ba601,00100001'
   Controls : 37
   Simple ctrls : 21
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=a682538d-4710-4ea9-8b48-83c8ba43b645
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System Manufacter System Product Name
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-16-generic root=UUID=996dfab3-a428-40fd-810c-b93a674a7b1f ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=pl_PL.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-16-generic N/A
 linux-firmware 1.25
RfKill:

Uname: Linux 2.6.31-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1541): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1541): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1595): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1584): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (nautilus:1700): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
dmi.bios.date: 07/29/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: IB9 (Intel P965-ICH8)
dmi.board.vendor: http://www.abit.com.tw/
dmi.board.version: 1.0
dmi.chassis.type: 3
dmi.chassis.vendor: System Enclosure Manufacter
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd07/29/2008:svnSystemManufacter:pnSystemProductName:pvrSystemVersion:rvnhttp//www.abit.com.tw/:rnIB9(IntelP965-ICH8):rvr1.0:cvnSystemEnclosureManufacter:ct3:cvr:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System Manufacter

mati (mati-wroc) wrote : Lspci.txt
mati (mati-wroc) wrote : Lsusb.txt
mati (mati-wroc) wrote : UdevDb.txt
mati (mati-wroc) wrote : UdevLog.txt

That's brilliant! Thank you very much guys. Upgrading to Triaged status and letting a developer take control of this bug.

Changed in linux (Ubuntu):
status: New → Triaged
tags: added: karmic

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: matthias 1849 F.... pulseaudio
 /dev/snd/controlC1: matthias 1849 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x902a0000 irq 22'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,80860000,00100003'
   Controls : 17
   Simple ctrls : 11
Card1.Amixer.info:
 Card hw:1 'Camera'/'Sonix Technology Co., Ltd. USB 2.0 Camera at usb-0000:00:1d.7-5, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0c45:62e0'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined
   Capture channels: Mono
   Limits: Capture 0 - 3328
   Mono: Capture 0 [0%] [18.00dB] [on]
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=7363d339-ebdf-4baa-8923-48f64bd7589a
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 vboxnet0 no wireless extensions.
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-17-generic root=UUID=b2396916-d3aa-4c94-9d82-8510aae0be3a ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.25
RfKill:

Uname: Linux 2.6.31-17-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 07/16/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: JOQ3510J.86A.1109.2009.0716.0319
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DQ35MP
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD82086-702
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrJOQ3510J.86A.1109.2009.0716.0319:bd07/16/2009:svn:pn:pvr:rvnIntelCorporation:rnDQ35MP:rvrAAD82086-702:cvn:ct3:cvr:

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: matthias 1784 F.... pulseaudio
 /dev/snd/controlC1: matthias 1784 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x902a0000 irq 22'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,80860000,00100003'
   Controls : 17
   Simple ctrls : 11
Card1.Amixer.info:
 Card hw:1 'Camera'/'Sonix Technology Co., Ltd. USB 2.0 Camera at usb-0000:00:1d.7-5, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0c45:62e0'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined
   Capture channels: Mono
   Limits: Capture 0 - 3328
   Mono: Capture 0 [0%] [18.00dB] [on]
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=7363d339-ebdf-4baa-8923-48f64bd7589a
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 vboxnet0 no wireless extensions.
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-17-generic root=UUID=b2396916-d3aa-4c94-9d82-8510aae0be3a ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.25
RfKill:

Uname: Linux 2.6.31-17-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 07/16/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: JOQ3510J.86A.1109.2009.0716.0319
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DQ35MP
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD82086-702
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrJOQ3510J.86A.1109.2009.0716.0319:bd07/16/2009:svn:pn:pvr:rvnIntelCorporation:rnDQ35MP:rvrAAD82086-702:cvn:ct3:cvr:

Papamatti2 (papamatti2) wrote :

comment #93-109: before the bug occures

comment #110-126: after the bug happens and reboot

Hope this is helpful for you...

Bullfrog245 (bullfrog245) wrote :

I had the same problem described here: Everything would work fine until I inserted a CD/DVD (or left a CD/DVD in from the last time I ran Windows) at which point the computer would lock up approx. 30 seconds later, requiring a hard reset.

I found a way around the problem, and that was to go into the BIOS for my motherboard (Asus P5GDC) and change the IDE mode from "Enhanced" to "Compatibility". After booting back into Ubuntu 9.10, I could put a disk into the drive and it would mount just like it should. I'm not particularly knowledgeable about the inner workings of computers (I can put them together, but I don't understand why they work) so this may not have any relevance. I just saw that HAL was not the problem and that it might have something to do with the way the kernel interacts with the IDE controllers, so I tried it, and it worked. I have no hypothesis as to why.

Hope this helps.

auditory (pkyoung) wrote :

I have the exactly same problem..
"compatible IDE mode" didn't solve the problem for me.

Bill (iamwithin) wrote :

I've had this VERY frustrating problem since my first attempt to install Ubuntu 9.10.
It almost turned me away from Linux altogether. But I am a persistent fellow. :-)
So I tried Fedora, same bug. I tried Mint, same bug (latest releases).
I decided to go back to Ubuntu's stable release and installed Ubuntu 8.04. Volia!
No more problem when inserting CD, no more freezes. Well, I couldn't leave that alone, I wanted to find when
this problem started. I installed Ubuntu 8.10 - no freezes whatsoever. I installed Ubuntu 9.04.
BAM! Soon as I inserted an audio CD or a Data CD or ANY DVD system freezes and have to turn off computer
with the off switch. I tried fresh installs AND upgrades, both cause these freezes. This bug really sucks, I want to try out latest releases but am stuck with 8.10. Can you guys please work of this BEFORE 10.04 so the rest of us can enjoy Ubuntu too?

Thanks,

Bill

Jacek Zmudzki (jacek-zmudzki) wrote :

I suspect that the this Bug affects every Distribution that uses the new /dev/sd* naming for PATA devices (libata?).

Bill (iamwithin) wrote :

Well, just tried the new and shiny 10.04 and it sucks. Same problem when inserting CD, system freezes completely.

So now this problem is occurring with 9.04, 9.10, 10.04 and I guess they are aware of it but just don't care.
It seems a shame too because all the new folks trying out Ubuntu for the first time will be running back to Windows 7.

This is a bad bug, and if anyone cares my system is a quad core 3 gigs ram 1TB hard drive and yet cannot use any Ubunbtu except 8.04 that is, if I want to use a CD or DVD.

Bill

Papamatti (matti-lx) wrote :

I have the same problem with a oem LG drive. It seems to be a bad firmware in some dvd-drives.

A workaround ist to buy a new drive for 20 Euro or Dollar or whatever and throw these buggy drives away.

A another workaround could be to blacklist these bad drives.

And finally the best would be to find out what is wrong.

The kernel should not completely freeze if the hardware is buggy !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-----------------------------------------------------------------------------------------------------------

Bill (iamwithin) wrote :

You are right Papamatti, The kernel took a wrong turn.
I can plug in my real old CD rom and it works, but I cannot access DL's or any DVD's.
Who wants a system like that?

Papamatti (matti-lx) wrote :

For all who cannot install from cd try to install from a usb-stick. It've done this with 9.04 and 9.10 and work perfect except the dvdrom. If i insert a cd or dvd the system locks up. If i do not use the drive at all the system works over days and weeks!

I do not know in which part of the kernel this bug is, but possibly it could happen if a harddrive fails! Imagine, you have a software raid and one of the drives fails - the system locks up and the raid is useless...possibly it is important to find this bug!

mati (mati-wroc) wrote :

"they are aware of it but just don't care."

They do care, they are probably just overworked and understaffed.
Whining doesn't help, so try to avoid useless comments. Remember, you get Ubuntu for free.

Ubuntu developers are awesome and I'm sure when they get to it, they will fix this bug.

Bill (iamwithin) wrote :

"I'm sure when they get to it, they will fix this bug."

It's going on two years now mati, but I hope you're right,
because I'd like to say it is an awesome OS.

Until then I'll be using 8.04.

mati (mati-wroc) wrote :

In launchpad you can easily find bugs which exists for much longer that that. If you can't fix it yourself or hire somebody to fix it for you (bounties), there's no other way than patiently wait.

Jacek Zmudzki (jacek-zmudzki) wrote :

In my System it's not a Problem with the drive itself.
I tried several drives and the System freezes with all of them.
So it has to be a Chipset/IDE Controller problem in my case.

KIAaze (zohn-joidberg) wrote :

Any chance this could be related to my bug?: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/514485
In my case, it's when I plug in a USB stick.

Tom (tom6) wrote :

Apparently this still happens with 10.04, the new LTS release

Mark Jazwinski (elite74) wrote :

I am running 10.1 and did all the updates and running ASUS mb and LG DvD drive and locks up with anything being put in.
 Reading this thread wow long ongoing issue, I think i have to use XP until i get a new drive :S but everything else with OS is awsome and i am really enjoying it. really weird i installed Ubunto useing that dvd drive

Bill (iamwithin) wrote :

Hopefully, this will get fixed, until then I'm using 8.44 and running Windows XP under VirtualBox.

Bill (iamwithin) wrote :

Tested yesterday's release of Ubuntu 10.04 Desktop and the system still freezes, even in live CD mode.
As soon as I inserted a "store bought" music CD, the entire system froze requiring reboot by shutting off computer. :-(

Marcin Chady (marcinchady) wrote :

It took me a while to figure out why my system froze for no apparent reason, until I found this bug. In my case, the system doesn't always freeze when I insert a DVD, but it happens most of the time. I tried turning on the SATA compatibility mode in my BIOS, but it didn't help. What did help was not using my ASUS DVD-E616A3 (which is an IDE drive), but only using my other drive, the Sony DVD RW DRU-V200S (which is SATA). That one reads disks without a hiccup.

It would be nice to have this bug fixed, but the biggest thing for me was identifying the issue so that I can work around it instead of stumbling into it randomly and suffering much frustration. I hope others can find this helpful too.

Papamatti (matti-lx) wrote :

Same issue on natty narwhal. The system freezes after inserting a cd/dvd. MagicSysRQ does not work.
I have removed the drive last week and built in an older cd-drive and now the system is stable.

From now on i cannot give bugrelated infos in the future. I think just throw this drive in the wastebasket an buy a better one.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix

LinkedIn
------------

Bug,

Vorrei aggiungerti alla mia rete professionale su LinkedIn.

-Denis

Denis Silvestre
Studente presso Politecnico di Torino
Torino, Italia

Conferma che conosci Denis Silvestre:
https://www.linkedin.com/e/799j2n-gybiz8ln-3t/isd/5805617506/CHPBl-Q6/?hs=false&tok=2H2iTIXlgtTl41

--
Stai ricevendo inviti di collegamento. Clicca per annullare l'iscrizione:
http://www.linkedin.com/e/799j2n-gybiz8ln-3t/v2joDJ4ilk17B-uyzqe9FbBE0B3WQyr1nkIiPk/goo/74372%40bugs%2Elaunchpad%2Enet/20061/I2019826336_1/?hs=false&tok=2qBgCRVd4tTl41

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments